Package: org.codehaus.groovy.reflection.v7

## [Java] Class GroovyClassValueJava7<T>

- org.codehaus.groovy.reflection.v7.GroovyClassValueJava7

- All Implemented Interfaces and Traits:
    GroovyClassValue

      public class GroovyClassValueJava7
      extends ClassValue

  GroovyClassValue implementaion that simply delegates to Java 7's java.lang.ClassValue

  See Also:
    ClassValue
  Parameters:
    <T>

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GroovyClassValueJava7 (ComputeValue<T> computeValue)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected T` | `computeValue(Class<?> type)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class ClassValue` | `remove, get, equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public GroovyClassValueJava7(ComputeValue<T> computeValue)

  - ### Method Detail

    - #### @Override protected T computeValue(Class<?> type)